PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Parma_Polyhedra_Library::Implementation::Watchdog::Pending_List< Traits > Class Template Reference

An ordered list for recording pending watchdog events. More...

`#include <ppl.hh>`

## Public Types
typedef EList< Pending_Element< typename Traits::Threshold > >::iterator | iterator
| A non-const iterator to traverse the list.
typedef EList< Pending_Element< typename Traits::Threshold > >::const_iterator | const_iterator
| A const iterator to traverse the list.

## Public Member Functions
| Pending_List ()
| Constructs an empty list.
| ~Pending_List ()
| Destructor.
iterator | insert (const typename Traits::Threshold &deadline, const Handler &handler, bool &expired_flag)
| Inserts a new Pending_Element object with the given attributes.
iterator | erase (iterator position)
| Removes the element pointed to by `position`, returning an iterator pointing to the next element, if any, or end(), otherwise.
bool | empty () const
| Returns `true` if and only if the list is empty.
iterator | begin ()
| Returns an iterator pointing to the beginning of the list.
iterator | end ()
| Returns an iterator pointing one past the last element in the list.
bool | OK () const
| Checks if all the invariants are satisfied.

## Detailed Description

### template<typename Traits>
class Parma_Polyhedra_Library::Implementation::Watchdog::Pending_List< Traits >

An ordered list for recording pending watchdog events.

The documentation for this class was generated from the following file:

- ppl.hh